Bug 1031425 - Display freezes with nouveau drives
Display freezes with nouveau drives
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-17 14:25 EST by Edward Powell
Modified: 2015-02-17 14:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:16:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (41.77 KB, text/x-log)
2013-11-17 14:31 EST, Edward Powell
no flags Details

  None (edit)
Description Edward Powell 2013-11-17 14:25:18 EST
Description of problem:
At apparently arbitrary times, the display becomes non-responsive, and can only be killed by switching TTYs and killing from there.

Version-Release number of selected component (if applicable):
1:1.0.9-1.fc19

How reproducible:
I have not found a reliable way to reproduce it other than normal use of my machine. It occurs while using either of Cinnamon and Gnome Shell.

Steps to Reproduce:
1. Start a gnome-shell or cinnamon session
2. Use various applications for an unknown amount of time
3. Display freezes

Actual results:
Display freezes under normal use.

Expected results:
Display does not freeze.

Additional info:

Relevant lines from journalctl -b -e appear to be:

Nov 17 14:00:50 theseus.localdomain gnome-session[6458]: nouveau:         0x00000000
Nov 17 14:00:50 theseus.localdomain gnome-session[6458]: nouveau:         0x00000010
Nov 17 14:00:50 theseus.localdomain gnome-session[6458]: nouveau:         0x000475e0
Nov 17 14:00:50 theseus.localdomain gnome-session[6458]: nouveau:         0x00000000
Nov 17 14:00:50 theseus.localdomain gnome-session[6458]: nouveau:         0x00087ac0
Nov 17 14:00:50 theseus.localdomain kernel: nouveau E[gnome-shell[6696]] fail ttm_validate
Nov 17 14:00:50 theseus.localdomain kernel: nouveau E[gnome-shell[6696]] validate vram_list
Nov 17 14:00:50 theseus.localdomain kernel: nouveau E[gnome-shell[6696]] validate: -12
Nov 17 14:00:50 theseus.localdomain systemd-journal[202]: Forwarding to syslog missed 32 messages.
Nov 17 14:00:50 theseus.localdomain kernel: nouveau E[  PGRAPH][0000:02:00.0] TRAP_TPDMA_RT - TP 0 - Unknown fault at address 00471c1000
Nov 17 14:00:50 theseus.localdomain kernel: nouveau E[  PGRAPH][0000:02:00.0] TRAP_TPDMA_RT - TP 0 - e0c: 00000000, e18: 00000000, e1c: 0000001e, e20: 00002a00, e24: 00030000
Nov 17 14:00:50 theseus.localdomain kernel: nouveau E[  PGRAPH][0000:02:00.0]  TRAP
Nov 17 14:00:50 theseus.localdomain kernel: nouveau E[  PGRAPH][0000:02:00.0] ch 4 [0x000797f000 gnome-shell[6696]] subc 3 class 0x8397 mthd 0x15e0 data 0x00000000
Nov 17 14:00:50 theseus.localdomain kernel: nouveau E[     PFB][0000:02:00.0] trapped write at 0x00471c1000 on channel 0x0000797f [gnome-shell[6696]] PGRAPH/PROP/RT0 reason: PAGE_NOT_PRESENT
Nov 17 14:00:50 theseus.localdomain kernel: nouveau E[gnome-shell[6696]] fail ttm_validate
Nov 17 14:00:50 theseus.localdomain kernel: nouveau E[gnome-shell[6696]] validate vram_list
Nov 17 14:00:50 theseus.localdomain kernel: nouveau E[gnome-shell[6696]] validate: -12
Nov 17 14:00:50 theseus.localdomain kernel: nouveau E[     PFB][0000:02:00.0] trapped write at 0x00471e2200 on channel 0x00007b45 [Xorg[6317]] PGRAPH/PROP/RT0 reason: PAGE_NOT_PRESENT
Nov 17 14:00:50 theseus.localdomain kernel: nouveau E[gnome-shell[6696]] fail ttm_validate
Nov 17 14:00:50 theseus.localdomain kernel: nouveau E[gnome-shell[6696]] validate vram_list
Nov 17 14:00:50 theseus.localdomain kernel: nouveau E[gnome-shell[6696]] validate: -12
Nov 17 14:00:54 theseus.localdomain systemd-journal[202]: Suppressed 15951 messages from /user/1000.user
Comment 1 Edward Powell 2013-11-17 14:31:11 EST
Created attachment 825294 [details]
Xorg.0.log

Log from /var/log/Xorg.0.log
Comment 2 Edward Powell 2013-11-17 14:32:31 EST
Also possibly relevant:

$ lspci | grep -i vga
02:00.0 VGA compatible controller: NVIDIA Corporation C77 [nForce 750a SLI] (rev a2)

$ uname -r
3.11.7-200.fc19.x86_64
Comment 3 Fedora End Of Life 2015-01-09 15:37:02 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 14:16:51 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.